Summary:	CSS parser and optimiser
Name:		csstidy
Version:	1.2
Release:	1olea
Group:		Development/Tools
License:	GPL
URL:		http://csstidy.sourceforge.net/
Source0:	http://downloads.sourceforge.net/csstidy/%{name}-source-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	gcc-c++

%description

CSSTidy is an opensource CSS parser and optimiser. It is available as
executeable file (available for Windows, Linux and OSX) which can be
controlled per command line and as PHP script (both with almost the same
functionality). In opposite to most other CSS parsers, no regular
expressions are used and thus CSSTidy has full CSS2 support and a higher
reliability.

Features ("a" stands for all selectors, "margin" stands for all properties):

    * colours like "black" or rgb(0,0,0) are converted to #000000 or rather
      #000 if possible. Some hex-codes are replaced by their colour names if
      they are shorter.
    * a{property:x;property:y;} becomes a{property:y;} (all duplicate
      properties are merged)
    * margin:1px 1px 1px 1px; becomes margin:1px;
    * margin:0px; becomes margin:0;
    * a{margin-top:10px; margin-bottom:10px; margin-left:10px;
      margin-right:10px;} becomes a{margin:10px;}
    * margin:010.0px; becomes margin:10px;
    * all unnecessary whitespace is removed, depending on the compression-level
    * all background-properties are merged
    * all comments are removed
    * the last semicolon in every block can be removed
    * missing semicolons are added, incorrect newlines in strings are fixed,
      missing units are added, bad colors (and color names) are fixed
    * property:value ! important; becomes property:value !important;


%prep
%setup -q  -c -n %{name}-%{version}

%build
bash compile.sh 

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=%{buildroot}/
%__install -sD csstidy %{buildroot}/usr/bin/csstidy

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc LICENSE
%{_bindir}/*

%changelog
* Thu Dec 21 2006 Ismael Olea <ismael@olea.org> 1.2-1olea
- First version
